API Reference
List ExposureCalculation
List exposure calculations from a schedule. The results are returned from latest to oldest.
GET
/
v1
/
scheduledExposureCalculations
/
{scheduledExposureCalculation}
/
exposureCalculations
List ExposureCalculation
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations/{scheduledExposureCalculation}/exposureCalculations \
--header 'Authorization: Bearer <token>'import requests
url = "https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations/{scheduledExposureCalculation}/exposureCalculations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations/{scheduledExposureCalculation}/exposureCalculations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exposureCalculations": [
{
"exposureCalculationSpec": {
"assignmentTable": "<string>",
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exposureKey": "<string>",
"groups": [
{
"group": "<string>",
"variantKey": "<string>"
}
],
"splitDimensions": [
"<string>"
],
"exposureFilter": {
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
},
"filters": [
{
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
}
],
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"entityFilters": [
{
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"startTime": {},
"endTime": {},
"entity": "<string>",
"sqlJob": "<string>",
"scheduleIteration": {},
"sql": "<string>",
"exposureTable": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"schedule": "<string>",
"retriggered": true,
"outdatedSourceDataInfo": {
"table": "<string>",
"expectedCount": 123,
"actualCount": 123,
"queryStartTime": {},
"queryEndTime": {}
},
"error": "<string>",
"labels": [
{}
],
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The maximum number of exposure calculations to fetch.
Token used for pagination.
Filtering for exposure calculations, follows the lucene query string format for example 'name: "scheduledExposureCalculations/abc/exposureCalculations/123"', see ExposureCalculation type for available fields.
Response
200 - application/json
OK
ExposureCalculation: List of matching exposure calculations.
Show child attributes
Show child attributes
Token to fetch the next page, empty if no more pages.
Was this page helpful?
⌘I
List ExposureCalculation

